Anonymous Login Frama-C issues should now be submitted on Frama-C's GitLab
2021-03-06 02:14 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002184Frama-CPlug-in > wppublic2016-01-26 13:41
ReporterJochen 
Assigned Tosignoles 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformSodium-20150201OSOS Version14.04.1-Ubuntu
Product VersionFrama-C Sodium 
Target VersionFixed in VersionFrama-C Magnesium 
Summary0002184: memory leak (endless recursion?) caused by erroneous c program
DescriptionRunning "frama-c 10.c" on the attached program causes frama-c to allocate a rapidly increasing amount of memory, until it crashes with the unbuntu-message "Fatal error: out of memory." Apparently, it performs an endless recursion.

The program "10.c" is erroneous and nonsensical, and originates from a "creduce" experiment with a poor test script. However, it may be worth to eliminate the endless recusion, anyway?
TagsNo tags attached.
Attached Files
  • c file icon 10.c (34 bytes) 2015-11-02 10:19 -
    struct S5 {
      struct S5;
    } a = 6;
    
    c file icon 10.c (34 bytes) 2015-11-02 10:19 +

-Relationships
+Relationships

-Notes

~0006095

signoles (manager)

Thanks for your report. This bug is actually already fixed in our development version. The fix will be part of the next public release.

The kernel now fails with the following error message:
=====
10.c:1:[kernel] user error: field is declared with incomplete type struct S5
[kernel] user error: type struct S5 is circular
=====
+Notes

-Issue History
Date Modified Username Field Change
2015-11-02 10:19 Jochen New Issue
2015-11-02 10:19 Jochen Status new => assigned
2015-11-02 10:19 Jochen Assigned To => correnson
2015-11-02 10:19 Jochen File Added: 10.c
2015-11-02 11:25 signoles Assigned To correnson => signoles
2015-11-02 11:27 signoles Note Added: 0006095
2015-11-02 11:27 signoles Status assigned => resolved
2015-11-02 11:27 signoles Fixed in Version => Frama-C Magnesium
2015-11-02 11:27 signoles Resolution open => fixed
2016-01-26 08:43 signoles Status resolved => closed
+Issue History